Last Comment Bug 673196 - When creating a new TabGroup near the edge of the screen in Panorama, a part of it is invisible
: When creating a new TabGroup near the edge of the screen in Panorama, a part ...
Status: VERIFIED FIXED
[testday-20110930]
: regression
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All Other
: -- normal
: Firefox 8
Assigned To: Tim Taubert [:ttaubert]
:
:
Mentors:
: 670680 (view as bug list)
Depends on: 625668
Blocks: 654721
  Show dependency treegraph
 
Reported: 2011-07-21 12:12 PDT by Peter Retzer (:pretzer)
Modified: 2016-04-12 14:00 PDT (History)
5 users (show)
ttaubert: in‑testsuite+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screencast of the issue (WebM) (602.74 KB, video/webm)
2011-07-21 12:12 PDT, Peter Retzer (:pretzer)
no flags Details
patch v1 (3.20 KB, patch)
2011-07-21 19:42 PDT, Tim Taubert [:ttaubert]
dietrich: review+
raymond: feedback+
Details | Diff | Splinter Review

Description Peter Retzer (:pretzer) 2011-07-21 12:12:09 PDT
Created attachment 547462 [details]
Screencast of the issue (WebM)

User Agent: Mozilla/5.0 (Windows NT 6.1; rv:8.0a1) Gecko/20110721 Firefox/8.0a1
Build ID: 20110721030828

Steps to reproduce:

When creating a new TabGroup by daragging a Tab near the edge of the screen in Panorama, a part of it will be hidden behind the edge of the screen and is therefore invisible. This is especially a problem when dragging to the top of the screen, since the groupname textfield is now automatically focused but not visible.
When dragging an existing group the the edge though, an animation takes place that moves the group back into the visible area.
This animation should be applied to the above case as well.
Comment 1 Tim Taubert [:ttaubert] 2011-07-21 19:42:16 PDT
Created attachment 547593 [details] [diff] [review]
patch v1

I removed a legacy code line (from bug 579223) that called groupItem.setBounds() a second time after it already snapped into its place - even if that position was out of screen.
Comment 2 Dietrich Ayala (:dietrich) 2011-07-22 06:35:39 PDT
Comment on attachment 547593 [details] [diff] [review]
patch v1

Review of attachment 547593 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 3 Tim Taubert [:ttaubert] 2011-07-24 17:26:03 PDT
*** Bug 670680 has been marked as a duplicate of this bug. ***
Comment 4 Tim Taubert [:ttaubert] 2011-08-02 22:51:06 PDT
http://hg.mozilla.org/integration/fx-team/rev/d0d55ead551a
Comment 5 Tim Taubert [:ttaubert] 2011-08-03 07:51:42 PDT
http://hg.mozilla.org/mozilla-central/rev/d0d55ead551a
Comment 6 Virgil Dicu [:virgil] [QA] 2011-09-30 05:57:55 PDT
Mozilla/5.0 (X11; Linux x86_64; rv:10.0a1) Gecko/20110929 Firefox/10.0a1
Mozilla/5.0 (X11; Linux x86_64; rv:9.0a2) Gecko/20110929 Firefox/9.0a2
Mozilla/5.0 (X11; Linux x86_64; rv:8.0) Gecko/20100101 Firefox/8.0

Verified on Ubuntu 11.04, Mac OS 10.6, Windows 7 and XP.

In Panorama, tab group are displayed correctly when tabs are dragged to the edges of the screen.
Comment 7 Daniel Desira 2011-09-30 08:18:02 PDT
verified fixed Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0) Gecko/20100101 Firefox/8.0

Note You need to log in before you can comment on or make changes to this bug.